<?php

namespace Payroll\Attendance\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Payroll\Attendance\Interfaces\AttendanceRepositoryInterface;

class AttendancePublicController extends BaseController
{
    // use AttendanceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Payroll\Attendance\Interfaces\AttendanceRepositoryInterface $attendance
     *
     * @return type
     */
    public function __construct(AttendanceRepositoryInterface $attendance)
    {
        $this->repository = $attendance;
        parent::__construct();
    }

    /**
     * Show attendance's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $attendances = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('attendance::public.attendance.index', compact('attendances'))->render();
    }

    /**
     * Show attendance.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $attendance = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('attendance::public.attendance.show', compact('attendance'))->render();
    }

}
