<?php

namespace Payroll\Attendance\Workflow;

use Payroll\Attendance\Models\Attendance;
use Payroll\Attendance\Notifications\Attendance as AttendanceNotifyer;
use Notification;

class AttendanceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function complete(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function verify(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function approve(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function publish(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function archive(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Attendance $attendance
     *
     * @return void
     */
    public function unpublish(Attendance $attendance)
    {
        return Notification::send($attendance->user, new AttendanceNotifyer($attendance, 'unpublish'));;

    }
}
